<?php
	Route::group(['prefix' => '/'], function()
	{
		Route::get('/','LoginController@index'); 
		Route::post('/ilogin','LoginController@loginauthentication');
		Route::get('/logout','LoginController@logout');
		Route::group(['middleware' => 'auth'], function()
		{
	//HomeController
	Route::get('/home','HomeController@home');
//###########################Client starts###########################//
	//SellerController
	Route::get('/SellerView', 'SellerController@ViewSeller');		
	Route::get('/Sellercreate', 'SellerController@LoadSeller'); 
	Route::get('/Sellergetcompany', 'SellerController@LoadSellerCompany'); 
	Route::post('/Sellerinsert', 'SellerController@InsertSeller');	
	Route::get('/Editseller', 'SellerController@Editseller');	
	Route::post('/customerUpdate', 'SellerController@customerUpdate');
	Route::get('/DeleteCustomer', 'SellerController@DeleteCustomer');
	//customerController
	Route::get('/customerView', 'CustomerController@ViewCustomer');		
	Route::get('/Customercreate', 'CustomerController@LoadCustomer'); 
	Route::get('/Customergetcompany', 'CustomerController@LoadCustomerCompany'); 
	Route::post('/customer', 'CustomerController@InsertCustomer');
	Route::get('/EditCustomer', 'CustomerController@EditCustomer');	
	Route::post('/customerUpdate', 'CustomerController@customerUpdate');
	Route::get('/DeleteCustomer', 'CustomerController@DeleteCustomer');
//###########################Client ends###########################//
//###########################ItemController starts###########################//
	//purchaseItemController
	Route::get('/purchaseitem', 'purchaseItemController@purchaseLoadItem');
	Route::post('/purchaseitem', 'purchaseItemController@purchaseInsertItem');
	Route::get('/purchaseloadunit', 'purchaseItemController@purchaseLoadUnit');
	Route::get('/purchaseloadcategory', 'purchaseItemController@purchaseLoadCategory');
	Route::get('/purchaseloadsubcategory', 'purchaseItemController@purchaseLoadSubCategory');
	Route::get('/purchaseviewitem', 'purchaseItemController@purchaseLoadviewitem');
	Route::get('/purchasedelitem', 'purchaseItemController@purchaseDeleteItem');
	Route::get('/purchaseedititem/{id}', 'purchaseItemController@purchaseedtItem');
	Route::get('/purchasevalidateitem', 'purchaseItemController@purchaseValidateItemCode');	
	//SalesItemController
	Route::get('/salesitem', 'salesItemController@salesLoadItem');
	Route::post('/salesitem', 'salesItemController@salesInsertItem');
	Route::get('/loadunit', 'salesItemController@salesLoadUnit');
	Route::get('/salesloadcategory', 'salesItemController@salesLoadCategory');
	Route::get('/salesloadsubcategory', 'salesItemController@salesLoadSubCategory');
	Route::get('/salesviewitem', 'salesItemController@salesLoadviewitem');
	Route::get('/salesdelitem', 'salesItemController@salesDeleteItem');
	Route::get('/salesedit/{id}', 'salesItemController@salesEditItem');
	Route::get('/salesvalidateitem', 'salesItemController@salesValidateItemCode');
	//###########################ItemController ends###########################//			
	//###########################Order starts###########################//
	//Purchase Order
	Route::get('/PurchaseOrderview', 'PurchaseOrder@ViewPurchaseOrder');
	Route::get('/PurchaseOrderCreate', 'PurchaseOrder@AddPurchaseOrder');
	Route::get('/SubCompanyDetail', 'PurchaseOrder@SubCompanyDetail');
	Route::get('/PurchaseBill', 'PurchaseOrder@PurchaseBill');
	Route::get('/printBill', 'PurchaseOrder@printBill');
	Route::get('/printBillNoCheck', 'PurchaseOrder@printBillNoCheck');
	//Sales Order
	Route::get('/salesOrderview', 'SalesOrder@ViewSalesOrder');	
	Route::get('/salesOrderCreate', 'SalesOrder@AddSalesOrder');	
	Route::get('/SubCompanyDetail', 'SalesOrder@SubCompanyDetail');	
	Route::get('/salesBill', 'SalesOrder@SalesBill');
	Route::get('/printBill', 'SalesOrder@printBill');
	Route::get('/printBillNoCheck', 'SalesOrder@printBillNoCheck');
	//###########################Order ends###########################//
	//###########################Billing starts###########################//			
	//Purchase Controller
	Route::get('/purchase', 'PurchaseController@AddPurchase');				
	Route::get('/purchaseView', 'PurchaseController@ViewPurchase');
	Route::get('/itemAmount', 'PurchaseController@itemAmount');				
	Route::post('/billgenerate', 'PurchaseController@billgenerate');				
	Route::get('/TaxAmount', 'PurchaseController@TaxAmount');				
	Route::get('/PurchaseprintBill', 'PurchaseController@PurchaseprintBill');			
	//Sales Controller
	Route::get('/salesBill', 'salesController@AddSales');				
	Route::get('/salesBillView', 'salesController@ViewSales');
	Route::get('/salesBillitemAmount', 'salesController@itemAmount');
	Route::post('/salesBillbillgenerate', 'salesController@billgenerate');
	Route::get('/salesBillTaxAmount', 'salesController@TaxAmount');
	Route::get('/salesBillprint', 'salesController@SalesprintBill');
	//###########################Billing Ends###########################//
	//WeightController
	Route::get('/weight', 'WeightController@addWeight');			
	Route::get('/weightView', 'WeightController@viewWeight');			
	//EntryController
	Route::get('/entry', 'EntryController@addentry');				
	Route::get('/SubshedName', 'EntryController@SubshedName');				
	Route::get('/entryView', 'EntryController@viewentry');
	Route::get('/BatchEntryFarm', 'EntryController@BatchEntryFarm');
	Route::post('/AddFarmRecord', 'EntryController@AddFarmRecord');
	Route::post('/AddWeightEntry', 'EntryController@AddWeightEntry');			
	//DeveloperController
	Route::get('/Modules','DeveloperController@Modules');
	Route::get('/CreateModule','DeveloperController@CreateModule');
	Route::post('/createMod','DeveloperController@createMod');
	Route::get('/permission','DeveloperController@permission');
	Route::get('/Viewpermision','DeveloperController@Viewpermision');
	Route::get('/Crreatepermision','DeveloperController@Crreatepermision');
	Route::get('/Editpermision','DeveloperController@Editpermision');
	Route::get('/Deletepermision','DeveloperController@Deletepermision');
	Route::get('/designat','DeveloperController@designat');				
	//BranchController
	Route::get('/branch', 'BranchController@LoadBranch');
	Route::post('/branch', 'BranchController@InsertBranch');
	Route::get('/editbranch', 'BranchController@EditBranch');
	Route::get('/delbranch', 'BranchController@DeleteBranch');			
	Route::get('/loadbranchlist', 'BranchController@LoadBranchList');
	//CategoryController
	Route::get('/category', 'CategoryController@LoadCategory');
	Route::get('/maincategory', 'CategoryController@LoadMainCategory');
	Route::post('/category', 'CategoryController@InsertCategory');
	Route::get('/editcategory', 'CategoryController@EditCategory');
	Route::get('/delcategory', 'CategoryController@DeleteCategory');			
	//TaxController
	Route::get('/tax', 'TaxController@LoadTax');
	Route::post('/tax', 'TaxController@InsertTax');
	Route::get('/edittax', 'TaxController@EditTax');
	Route::get('/deltax', 'TaxController@DeleteTax');		
	//UserTypeController
	Route::get('/usertype', 'UserTypeController@LoadUserType');
	Route::post('/utype', 'UserTypeController@InsertUserTypePost');
	Route::get('/editusertype', 'UserTypeController@EditUserType');
	Route::get('/delusertype', 'UserTypeController@DeleteUserType');
	Route::get('/loadusertypes', 'UserTypeController@LoadUserTypeList');	
	//UnitController
	Route::get('/unit', 'UnitController@LoadUnit');
	Route::post('/unit', 'UnitController@InsertUnit');
	Route::get('/editunit', 'UnitController@EditUnit');
	Route::get('/delunit', 'UnitController@DeleteUnit');			
	//ShedController
	Route::get('/shed', 'ShedController@LoadShed');
	Route::get('/loadbranch', 'ShedController@LoadBranch');
	Route::get('/loaduser', 'ShedController@LoadUser');
	Route::post('/shed', 'ShedController@InsertShed');
	Route::get('/editshed', 'ShedController@EditShed');
	Route::get('/delshed', 'ShedController@DeleteShed');
	Route::get('/firm', 'ShedController@firm');
	Route::post('/imageUpoload', 'ShedController@imageUpoload');
	Route::get('/EditCompanyProfile', 'ShedController@EditCompanyProfile');
	Route::get('/updateProfileCompany', 'ShedController@updateProfileCompany');			
	//FiscalYearController
	Route::get('/fiscalyear', 'FiscalYearController@Loadfiscalyear');
	Route::post('/fiscalyear', 'FiscalYearController@InsertFiscalyear');
	Route::get('/editfiscalyear', 'FiscalYearController@EditFiscalyear');
	Route::get('/delfiscalyear', 'FiscalYearController@DeleteFiscalyear');			
	//UserController
	Route::get('/viewuser', 'UserController@Loadviewuser');
	Route::get('/user', 'UserController@Loadadduser');
	Route::post('/user', 'UserController@InsertUser');
	Route::get('/deluser', 'UserController@DeleteUser');
	Route::get('/edituser/{id}', 'UserController@EditUser');
	Route::get('/validateloginid', 'UserController@ValidateLoginId');		
	//ProfitLossController
	Route::get('/ProfitAndLoss', 'ProfitLossController@ProfitAndLoss');			
	//IncomeExpenceController
	Route::get('/Income', 'IncomeExpenceController@Income');
	Route::post('/submitincome', 'IncomeExpenceController@submitincome');
	Route::get('/Expense', 'IncomeExpenceController@Expense');
	Route::post('/submitExpense', 'IncomeExpenceController@submitExpense');
	Route::get('/Incomecategory', 'IncomeExpenceController@Incomecategory');
	Route::post('/IncomecategoryUpdate', 'IncomeExpenceController@IncomecategoryUpdate');
	Route::get('/Expencecategory', 'IncomeExpenceController@Expencecategory');
	Route::post('/ExpencecategoryUpdate', 'IncomeExpenceController@ExpencecategoryUpdate');
	Route::get('/IncomeReport', 'IncomeExpenceController@IncomeReport');
	Route::get('/ExpenseReport', 'IncomeExpenceController@ExpenseReport');				
	//StockController
	Route::get('/PurchaseStockReport', 'StockController@PurchaseStockReport');
	Route::get('/SalesstockReport', 'StockController@SalesstockReport');
	Route::get('/AllStockReport', 'StockController@AllStockReport');
	//###########################Water Billing Project starts here###########################//	
	//WB customerController
	Route::get('/WBAllReport', 'ReportController@ViewAllReport');
	//##################
	Route::get('/WBcustomerView', 'CustomerController@WBViewCustomer');
	Route::get('/WBCustomercreate', 'CustomerController@WBLoadCustomer');
	Route::get('/WBCustomergetcompany', 'CustomerController@WBLoadCustomerCompany');
	Route::post('/WBcustomer', 'CustomerController@WBInsertCustomer');
	Route::get('/WBEditCustomer', 'CustomerController@WBEditCustomer');
	Route::post('/WBcustomerUpdate', 'CustomerController@WBcustomerUpdate');
	Route::get('/WBDeleteCustomer', 'CustomerController@WBDeleteCustomer');
	Route::get('/getblock', 'CustomerController@LoadCustomerBlock');
	Route::get('/getward', 'CustomerController@LoadCustomerWard');
	Route::get('/getarea', 'CustomerController@LoadCustomerArea');
	Route::get('/gettarifftype', 'CustomerController@LoadTariffType');
	//###########################Water Billing Project ends here###########################//
	//##########################Disha starts here ########################################//
	Route::post('/blockinsert','BlockController@insert');
	Route::post('/wardinsert','WardController@insert');
	Route::post('/tariffinsert','TariffPlanController@insert');
	Route::post('/tcinsert','TariffChartController@insert');
	Route::post('/tcinsert','TariffChartController@insert');
	Route::post('/areainsert','areaController@insert');

	Route::get('/viewblock','BlockController@getdata');
	Route::get('/viewward','WardController@getdata');
	Route::get('/viewtariffplan','TariffPlanController@getdata');
	Route::get('/viewtariffchart','TariffChartController@getdata');
	Route::get('/viewarea','AreaController@getdata');

	Route::get('/edittariff','TariffPlanController@edittariff');
	Route::get('/editward','wardController@editward');
	Route::get('/editblock','blockController@editblock');
	Route::get('/editarea','areaController@editarea');
	Route::get('/delblock','blockController@delrecs');
	Route::get('/delward','wardController@delrecs');
	Route::get('/deltar','TariffPlanController@delrecs');
	Route::get('/deltchart','TariffchartController@delrecs');
	Route::get('/delarea','areaController@delrecs');
	//Route::get('/delete/{id}','Controller@delete');
	//Route::get('/edit/{id}','Controller@edit');
//##########################Disha ends here ########################################//
//########## LOANAPPLICATION PROJECT STARTS HERE ############
	//########## LoanApplicantion starts here ############
	Route::get('/loadcreateloanapplication', 'LoanApplicantController@loadcreateloanapp');
	Route::get('/loanprocessingcharge', 'LoanApplicantController@loanprocessingfee');
	Route::get('/loaninstallmentdetail', 'LoanApplicantController@loaninstallmentdetailctrl');	
	Route::post('/createloanaccount', 'LoanApplicantController@loancreateloanacc');
	Route::get('/viewloanaccount', 'LoanApplicantionController@LoadViewLoanApplicantion');
	Route::get('/LoanAcPanel', 'LoanAccPanelController@LoanApplicantpanel');
	Route::get('/loanpaymentcalculation', 'LoanAccPanelController@LoanPaymentCalculationCtrl');
	Route::get('/loaneditpayment', 'LoanAccPanelController@LoanEditPaymentCtrl');
	Route::get('/loandelaypaymentcalculation', 'LoanAccPanelController@LoanDelayPmtCalcCtrl');
	Route::get('/loandelaypaymentrecalculation', 'LoanAccPanelController@LoanDelayPmtreCalcCtrl');
	Route::post('/AddManualPenalty', 'LoanAccPanelController@AddManualPenaltyCtrl');
	Route::post('/loaninstallmentpayment', 'LoanAccPanelController@LoanPaymentInsertCtrl');
	Route::post('/loaneditinstallmentpayment', 'LoanAccPanelController@LoanPaymentUpdateCtrl');
	Route::get('/loansingleinstallmentdetail', 'LoanAccPanelController@loansingleinstdetCtrl');
	Route::get('/loanrptsingle', 'LoanAccPanelController@loanrptsingleCtrl');
	Route::get('/RPTSingleTrans', 'LoanAccPanelController@RPTSingleTransCtrl');
	Route::post('/updatedelaypaymentcharge', 'LoanAccPanelController@DelayPaymentUpdateCtrl');
	Route::get('/rptCreditDebit', 'LoanAccPanelController@LoadCreditDebitReport');
	///########### Loan Preclosure
	Route::get('/loanAccountPreclosure', 'LoanPreclosureController@loanAccountPreclosureCtrl');
	Route::post('/updatepreclosure', 'LoanPreclosureController@LoanPreclosureUpdateCtrl');
	//########## LoanApplicantion ends here ############
	//########## LoanAccountPanel starts here ##########
	Route::get('/loanCancellationLoad', 'LoanAccPanelController@loanCancellationCtrl');
	Route::get('/loanChequeCancellationLoad', 'LoanAccPanelController@loanChqCancelCtrl');
	Route::post('/loaninstallmentcancellationins', 'LoanAccPanelController@loninstcancelinsCtrl');
	Route::post('/chqinstallmentcancellationins', 'LoanAccPanelController@chqinstcancelinsCtrl');
	//########## LoanAccountPanel ends here ############
	//########## Loan master starts here ############
	Route::get('/loanprocessingfeesettings', 'LoanSettingsController@LodLonProcesingFeeSeting');
	Route::get('/loantype', 'LoanSettingsController@LoadLoanTypes');
	Route::post('/ltype', 'LoanSettingsController@InsertLoanTypePost');
	Route::get('/editLoantype', 'LoanSettingsController@EditLoanType');
	Route::get('/delLoantype', 'LoanSettingsController@DeleteLoanType');
	Route::get('/updateMasterLoan', 'LoanSettingsController@updateMasterLoan');
	//Route::get('/viewLoanApplicant', 'LoanApplicantController@LoadViewLoanApplicantion');
	Route::get('/delaypayment', 'DelayPaymentController@LoadDelaypayment');
	Route::post('/delaypaymenttype', 'DelayPaymentController@InsertdelaypaymenttypePost');
	Route::get('/editdelaypaymenttype', 'DelayPaymentController@Editdelaypaymenttype');
	Route::get('/deldelaypaymenttype', 'DelayPaymentController@Deletedelaypaymenttype');
	//Load loan dropdown
	Route::get('/loadloantypes', 'LoanApplicantController@loadloantype');
	Route::get('/loaddelayfeetypes', 'LoanApplicantController@loaddelayfeetypes');
	Route::get('/LoanEMIreport', 'EMIreportController@LoanApplicantpanel');
	Route::get('/LoanSingleCustomerReport', 'EMIreportController@LoadSingleCustomeReport');
	Route::get('/LoanSingleCustomerPrint', 'EMIreportController@LoadSingleCustomeReport');
	//########## Loan master ends here ############
	//### Arrear Starts here###
	Route::get('/arrearongoing', 'LoanArrearController@Loadarrear');
	Route::get('/arreartermination', 'LoanArrearController@Loadarreartermination');
	Route::get('/arrear', 'LoanArrearController@Loadarrearoutstanding');
	//### Arrear ends here###
//########## MOSQUE PROJECT STARTS HERE ############
	//########## MOSQUE APPLICATION starts here ############
	Route::get('/NewJamathApplicantion', 'JamathController@LoadNewApplicant');
	Route::post('/ApplicantionInsert', 'JamathController@Applicantioninsertctrl');
	Route::get('/referencenumberFind', 'JamathController@referencenumberFind');
	Route::get('/loantypeFind', 'JamathController@loantypeFindFind');
	Route::get('/viewJamathApplicant', 'JamathController@LoadViewjamathmembers');
	Route::get('/sureDeleteloanApp', 'JamathController@sureDeleteloanApp');
	Route::get('/EditJamathApplication', 'JamathController@EditJamathCtrl');
	Route::get('/printmemberprofile', 'JamathController@PrintMemberAppCtrl');
	Route::get('/importloandata', 'JamathController@importloandatactrl');
	Route::get('/importloandataFind', 'JamathController@importloandataFindctrl');
	Route::get('/Loadgradeserialnumber', 'JamathController@LoadGradeSerialNumberCtrl');
	Route::post('/inscstgradefund', 'JamathController@inscstgradefundCtrl');
	Route::get('/LoadSingleCust', 'JamathController@LoadSingleCustCtrl');
	Route::get('/CalculatePayment', 'JamathController@CalculatePaymentCtrl');
	Route::post('/makebillingpayment', 'JamathController@makebillingpaymentCtrl');
	Route::get('/printpaymentbill', 'JamathController@PrintPaymentBillCtrl');
	Route::get('/viewsingleinvoice', 'JamathController@viewsingleinvoiceCtrl');
	Route::get('/viewinvoicebill', 'JamathController@viewinvoicebillCtrl');
	Route::get('/printprintbill', 'JamathController@printprintbillCtrl');
	Route::get('/loadeditingapplication', 'JamathController@LoadEditingAppCtrl');
	Route::get('/loadprintingprofile', 'JamathController@LoadprintingAppCtrl');
	Route::post('/addfamilymembers', 'JamathController@AddFamilyMemberCtrl');
	Route::get('/editfamilymember', 'JamathController@EditFamilyMemberCtrl');
	Route::get('/delfamilymember', 'JamathController@delfamilymemberCtrl');
	Route::post('/uploadmemberdocs', 'JamathController@uploadmemberdocsCtrl');
	Route::post('/uploaddp', 'JamathController@uploaddpCtrl');
	Route::get('/delmemberdocs', 'JamathController@delmemberdocsCtrl');
	Route::get('/loadprintcrdr', 'JamathController@loadprintcrdrCtrl');
	Route::get('/loadprinttrans', 'JamathController@loadprinttransCtrl');
	Route::get('/printjamathmembersreport', 'JamathController@printjamathmemrptCtrl');
	Route::get('/delpaymentrecord', 'JamathController@delpayctrl');	
	Route::get('/delbillingrecord', 'JamathController@delbillingrecordctrl');
	Route::get('/jamathxlspmtrpt', 'JamathController@LoadjamathxlsPmt');
	Route::get('/jamathxlspmtrptprint', 'JamathController@LoadjamathxlsPmtPrint');
	//########## MOSQUE APPLICATION ends here ############
	//##############TRANSACTION REPORT STARTS HERE..
	Route::get('/transactionreport', 'TransRptCtrl@loadTransRPTCtrl');
	Route::get('/transactionreportprint', 'TransRptCtrl@printTransRPTCtrl');
	Route::get('/jamathminitransreport', 'TransRptCtrl@transsummaryrptCtrl');
	Route::get('/transsummaryrptprint', 'TransRptCtrl@transsummaryrptprintCtrl');
	Route::get('/fundtypetransreport', 'TransRptCtrl@fundtypetransreportCtrl');
	Route::get('/fundtypetransreportprint', 'TransRptCtrl@ftypetransRPTCtrl');
	//##############TRANSACTION REPORT ENDS HERE..	
	//##############MARRIAGE CERTIFICATE STARTS HERE..
	Route::get('/MatriCertificate', 'MatriRPTController@LoadMatriCertificateCtrl');
	Route::POST('/MatriCertificate', 'MatriRPTController@insMatriCertificateCtrl');
	Route::get('/editMatriCertificate', 'MatriRPTController@editMatriCertificateCtrl');
	Route::get('/loadeditingmrgapp', 'MatriRPTController@loadeditingmrgappCtrl');
	Route::get('/matrimonialcertificate', 'MatriRPTController@viewMatriCertificateCtrl');
	Route::get('/printmarriagecertificate', 'MatriRPTController@PrintMatriCertificateCtrl');
	Route::get('/matritransrpt', 'MatriRPTController@loadTransRPTCtrl');
	Route::get('/matritransreportprint', 'MatriRPTController@printTransRPTCtrl');
	//##############MARRIAGE CERTIFICATE ENDS HERE..
	//############## @@@ INCOME EXPENSE STARTS HERE @@@
	Route::get('/viewincomeexpense', 'IncExpReportController@LoadIncomeExpense');
	Route::get('/viewincomeexpenserec', 'IncExpReportController@LoadIncExpRecCtrl');
	Route::get('/deleteincomeexpenserec', 'IncExpReportController@DelIncExpRecCtrl');
	Route::get('/viewincomeexpenserecsearch', 'IncExpReportController@LoadIncExpRecsearchCtrl');
	Route::get('/incomeexpensereport', 'IncExpReportController@loadTransRPTCtrl');
	Route::get('/loadincexp', 'IncExpReportController@loadincexpCtrl');
	Route::post('/insertincexp', 'IncExpReportController@InsertIncExpCtrl');
	Route::get('/incexptransreportprint', 'IncExpReportController@printTransRPTCtrl');
	//############## @@@ INCOME EXPENSE ENDS   HERE @@@
	// @@@ ANNUAL MEETING NOTICE STARTS HERE @@@	
	Route::get('/annualmeetingnotice', 'AnualMeetingController@LoadannualmeetingRecords');
	Route::post('/uploadannualmeetfile', 'AnualMeetingController@UploadAnnualMeetFileCtrl');
	Route::get('/paymentnotice', 'PaymentNoticeController@LoadpaymentnoticeRecords');
	Route::post('/uploadpaymentnoticefile', 'PaymentNoticeController@uplodPmtNoticeFilCtrl');
	// @@@ ANNUAL MEETING NOTICE ENDS HERE @@@
	// @@@ --- GRADE MODULE STARTS HERE--- @@@
	Route::get('/loadgrade', 'GradeController@LoadGrade');
	Route::post('/insertgrade', 'GradeController@InsertGrade');
	Route::get('/editgrade', 'GradeController@EditGrade');
	Route::get('/deletegrade', 'GradeController@DeleteGrade');
	Route::get('/loadgradelist', 'GradeController@LoadGradeList');
	// @@@ --- GRADE MODULE ENDS HERE--- @@@
	// @@@ --- GRADE FUND STARTS HERE--- @@@
	Route::get('/loadgradefund', 'GradeFundController@LoadGradeFund');
	Route::post('/insertgradefund', 'GradeFundController@InsertGradeFund');
	Route::get('/editgradefund', 'GradeFundController@EditGradeFund');
	Route::get('/deletegradefund', 'GradeFundController@DeleteGradeFund');
	// @@@ --- GRADE FUND MODULE ENDS HERE--- @@@
	// @@@ --- Fund Type MODULE STARTS HERE--- @@@
	Route::get('/loadfundtype', 'FundTypeController@LoadFundType');
	Route::post('/fundtype', 'FundTypeController@InsertFundType');
	Route::get('/editfundtype', 'FundTypeController@EditFundType');
	Route::get('/delfundtype', 'FundTypeController@DeleteFundType');
	Route::get('/loadfundtypelist', 'FundTypeController@LoadFundTypeList');
	Route::get('/loadfundtypecmb', 'FundTypeController@loadfundtypecmbCtrl');
	Route::get('/loadfundtypecmbselected', 'FundTypeController@loadfundtypecmbselectedCtrl');
	//Special member fund types
	Route::get('/specialmemberfundtypes', 'FundTypeController@spclLoadFundType');
	Route::post('/spclfundtype', 'FundTypeController@spclInsertFundType');
	Route::get('/spcleditfundtype', 'FundTypeController@spclEditFundType');
	Route::get('/spcldelfundtype', 'FundTypeController@spclDeleteFundType');
	Route::get('/spclloadfundtypelist', 'FundTypeController@spclLoadFundTypeList');
	// @@@ --- Fund Type MODULE ENDS HERE--- @@@
	// @@@ --- INCOME EXPENSE FUND TYPE starts here--- @@@	
	Route::get('/incexpfundtypes', 'FundTypeController@IncExpLoadFundType');
	Route::post('/incexpfundtypes', 'FundTypeController@IncExpInsertFundType');
	Route::get('/editincexpfundtypes', 'FundTypeController@IncExpEditFundType');
	Route::get('/delincexpfundtypes', 'FundTypeController@IncExpDeleteFundType');
	Route::get('/incexploadfundtypelist', 'FundTypeController@IncExpLoadFundTypeList');
	// @@@ --- INCOME EXPENSE FUND TYPE ends here--- @@@
	// @@@ --- SPECIAL MEMBERS starts here--- @@@
	Route::get('/newspecialmembers', 'SpecialMemberController@LoadNewApplicant');
	Route::post('/splApplicantionInsert', 'SpecialMemberController@Applicantioninsertctrl');
	Route::get('/splreferencenumberFind', 'SpecialMemberController@referencenumberFind');
	Route::get('/splloantypeFind', 'SpecialMemberController@loantypeFindFind');
	Route::get('/viewspecialmembers', 'SpecialMemberController@LoadViewjamathmembers');
	Route::get('/splsureDeleteloanApp', 'SpecialMemberController@sureDeleteloanApp');
	Route::get('/splEditJamathApplication', 'SpecialMemberController@EditJamathCtrl');
	Route::get('/splimportloandata', 'SpecialMemberController@importloandatactrl');
	Route::get('/splimportloandataFind', 'SpecialMemberController@importloandataFindctrl');
	Route::get('/splLoadgradeserialnumber', 'SpecialMemberController@LoadGradeSerialNumberCtrl');
	Route::post('/splinscstgradefund', 'SpecialMemberController@inscstgradefundCtrl');
	Route::get('/splLoadSingleCust', 'SpecialMemberController@LoadSingleCustCtrl');
	Route::get('/splCalculatePayment', 'SpecialMemberController@CalculatePaymentCtrl');
	Route::post('/splmakebillingpayment', 'SpecialMemberController@makebillingpaymentCtrl');
	Route::get('/splprintpaymentbill', 'SpecialMemberController@PrintPaymentBillCtrl');
	Route::get('/splprintprintbill', 'SpecialMemberController@printprintbillCtrl');
	Route::get('/splloadeditingapplication', 'SpecialMemberController@LoadEditingAppCtrl');
	Route::post('/spladdfamilymembers', 'SpecialMemberController@AddFamilyMemberCtrl');
	Route::get('/spleditfamilymember', 'SpecialMemberController@EditFamilyMemberCtrl');
	Route::get('/spldelfamilymember', 'SpecialMemberController@delfamilymemberCtrl');
	Route::post('/spluploadmemberdocs', 'SpecialMemberController@uploadmemberdocsCtrl');
	Route::get('/spldelmemberdocs', 'SpecialMemberController@delmemberdocsCtrl');
	Route::get('/splloadprintcrdr', 'SpecialMemberController@loadprintcrdrCtrl');
	Route::get('/splloadprinttrans', 'SpecialMemberController@loadprinttransCtrl');
	Route::get('/spldelpaymentrecord', 'SpecialMemberController@delpayctrl');	
	Route::get('/printsplmembersreport', 'SpecialMemberController@printsplmemrptCtrl');
	Route::get('/loadnextspecialmemid', 'SpecialMemberController@loadnxtspecialmemidCtrl');	
	Route::get('/splloadmainrecord', 'SpecialMemberController@splloadmainrecordCtrl');	
	Route::get('/spldeletemember', 'SpecialMemberController@spldelrecordCtrl');	
	// @@@ --- SPECIAL MEMBERS ends here--- @@@
	//##############SPECIAL MEMBER TRANSACTION REPORT STARTS HERE..
	Route::get('/specialmembertransrpt', 'splTransRptController@loadTransRPTCtrl');
	Route::get('/spltransactionreportprint', 'splTransRptController@printTransRPTCtrl');
	Route::get('/specialmemberfundtyperpt', 'splTransRptController@fundtypetransreportCtrl');
	Route::get('/splfundtypetransreportprint', 'splTransRptController@ftypetransRPTCtrl');	
	Route::get('/splminitransreport', 'splTransRptController@transsummaryrptCtrl');
	Route::get('/splminitransprint', 'splTransRptController@transsummaryrptprintCtrl');
	//##############SPECIAL MEMBER TRANSACTION REPORT ENDS HERE..
	Route::get('/ietransactionreport', 'IncExpRptController@loadTransRPTCtrl');
	Route::get('/ietransactionreportprint', 'IncExpRptController@printTransRPTCtrl');
	Route::get('/iefundtypetransreport', 'IncExpRptController@fundtypetransreportCtrl');
	Route::get('/iefundtypetransreportprint', 'IncExpRptController@ftypetransRPTCtrl');
	Route::get('/ieexpensevoucher', 'IncExpRptController@ExpenseVoucherCtrl');
	Route::get('/ieloanvoucher', 'IncExpRptController@LoanVoucherCtrl');
	Route::post('/ieexpensevoucher', 'IncExpRptController@ExpenseVoucherInsCtrl');
	Route::get('/printexpensebill', 'IncExpRptController@PrintExpenseBillCtrl');
	Route::get('/printloanbill', 'IncExpRptController@PrintLoanBillCtrl');
	Route::get('/printexpensebillvoucher', 'IncExpRptController@printprintbillCtrl');
//########## MOSQUE PROJECT ENDS HERE   ############
	//############## @@@ GLOBAL REPORT STARTS HERE..
	Route::get('/globaltransactionreport', 'GlobalReportController@loadTransRPTCtrl');
	Route::get('/globalsummaryreport', 'GlobalReportController@loadSummaryRPTCtrl');
	Route::get('/globaltransactionreportprint', 'GlobalReportController@printTransRPTCtrl');
	Route::get('/globalfundtypetransreport', 'GlobalReportController@fundtypetransreportCtrl');
	Route::get('/globalfundtypetransreportprint', 'GlobalReportController@ftypetransRPTCtrl');
	Route::get('/globalminireport', 'GlobalReportController@transsummaryrptCtrl');
	Route::get('/globalsummaryrptprint', 'GlobalReportController@transsummaryrptprintCtrl');
	//############## @@@ GLOBAL REPORT ENDS HERE...
	Route::get('/testcalculation', 'JamathController@moveAdvBalCtrl');
	//@@@@ UTILITIES
	Route::get('/backupdatabase', 'Controller@backupdatabaseCtrl');
	Route::get('/downloaddatabase', 'Controller@downloaddatabase');
		});
	});
?>